package ssl;
import java.io.*;

/**
 * This is a mechanically-generated class designed to help me figure out
 * why PureTLS-SSL and RMI were working so horribly together.
 */
public class DebugInputStream
	extends java.io.FilterInputStream {

	public DebugInputStream(InputStream in) {
		super(in);
	}

	public int available()
		throws java.io.IOException {
		System.err.println("DebugInputStream.available()");
		return super.available();
	}

	public void close()
		throws java.io.IOException {
		System.err.println("DebugInputStream.close()");
		super.close();
	}

	public synchronized void mark(int p0) {
		System.err.println("DebugInputStream.mark()");
		super.mark(p0);
	}

	public boolean markSupported() {
		System.err.println("DebugInputStream.markSupported()");
		return super.markSupported();
	}

	public int read()
		throws java.io.IOException {
		System.err.println("DebugInputStream.read(1)");
		return super.read();
	}

	public int read(byte[] p0)
		throws java.io.IOException {
		System.err.println("DebugInputStream.read(#"+p0.length+")");
		return super.read(p0);
	}

	public int read(byte[] p0, int p1, int p2)
		throws java.io.IOException {
		System.err.println("DebugInputStream.read(#"+p2+")");
		return super.read(p0, p1, p2);
	}

	public synchronized void reset()
		throws java.io.IOException {
		System.err.println("DebugInputStream.reset()");
		super.reset();
	}

	public long skip(long p0)
		throws java.io.IOException {
		System.err.println("DebugInputStream.skip()");
		return super.skip(p0);
	}

}
